=== debian/changelog ===
u-boot (2012.10-rc3-1) unstable; urgency=low

  * Nokia RX-51 port

 -- Pali Rohár <pali.rohar@gmail.com>  Fri, 12 Oct 2012 22:34:47 +0200
